//Program written by Abhilash Gupta,110050058
//Program of drawing and displating the "Instructions"window
//it has a option of going back to the main window
#include"ezwin.h"
#include<assert.h>
#include"rect.h"
#include"bitmap.h"

//Creating the required simple windows
SimpleWindow instwindow("Instructions",15.0,18.0,Position(0.0,0.0));
SimpleWindow window1("MENU",10.0,15.0,Position(0.0,0.0));

//prototype of the mouse clicking event
int mouseclick(const Position &p);

// Define a bitmap object


int ApiMain()
{
	instwindow.Open();//opening the first window
	assert(instwindow.GetStatus()== WindowOpen);//checking if the first window is opening correctly
	
    //Writing the instructions about the game line by line
  	instwindow.RenderText(Position(7.4,0.0), Position(7.6,1.0), "GOAL",Red);
  	instwindow.RenderText(Position(1.0,1.0), Position(14.0,1.5), "Earn points by answering each question. The questions have only one ",Blue);
    instwindow.RenderText(Position(1.0,1.5), Position(14.0,2.0), "answer correct out of given four options. When you answer a question ",Blue); 		
    instwindow.RenderText(Position(1.0,2.0), Position(14.0,2.5), "question correctly, you go to the next question. The larger number of",Blue);
    instwindow.RenderText(Position(1.0,2.5), Position(14.0,3.0), "questions you answer, the higher you go up the score tree. Try to solve",Blue);
    instwindow.RenderText(Position(1.0,3.0), Position(14.0,3.5), "as many questions as you can. When you have answered all questions",Blue);
    instwindow.RenderText(Position(1.0,3.5), Position(14.0,4.0), "correctly or answered a question incorrectly, the game will terminate.",Blue);
    instwindow.RenderText(Position(1.0,4.0), Position(14.0,4.5), "You can also voluntarily quit the game.",Blue);
    instwindow.RenderText(Position(7.4,5.0), Position(7.6,6.0), "HOW TO PLAY",Red);
    instwindow.RenderText(Position(1.0,6.0), Position(14.0,6.5), "Move the mouse cursor to the buttons showing the answers and click on",Blue);
    instwindow.RenderText(Position(1.0,6.5), Position(14.0,7.0), "the answer you think is correct. You can also use a lifeline available",Blue);
    instwindow.RenderText(Position(1.0,7.0), Position(14.0,7.5), "to you to help you to give a better chance to win. '50-50' is a",Blue);
    instwindow.RenderText(Position(1.0,7.5), Position(14.0,8.0), "lifeline which reduces the number of options from four to two, so",Blue);
    instwindow.RenderText(Position(1.0,8.0), Position(14.0,8.5), "as to give you a better chance of answering that question correctly.",Blue);
    instwindow.RenderText(Position(1.0,8.5), Position(14.0,9.0), "You can use this lifeline atmost once in a game.",Blue);
    instwindow.RenderText(Position(7.4,10.0), Position(7.6,11.0), "**************  GOOD LUCK TO YOU  **************",Red);
    
    
    //drawing the button which leads back to the main window upon clicking
    RectangleShape r(instwindow,Position(7.5,14.5),Black,6.0,2.0);
    r.Draw();             
	Position Upperleft= Position(4.5,13.5);
	Position Lowerleft= Position(10.5,15.5);
	instwindow.RenderText(Upperleft,Lowerleft,"Go Back To Menu",White,Black);


instwindow.SetMouseClickCallback(mouseclick);//calling the mouse clicking event
return 0;
}

int mouseclick(const Position &p){
	float x = p.GetXDistance();//getting the x coordinate of the point where the mouse has been clicked
	float y = p.GetYDistance();//getting the y coordinate of the point where the mouse has been clicked


	
	if(((x>=4.5)&&(x<=10.5))&&((y>=13.5)&&(y<=15.5)))//checking if the mouseclick has been inside the defined button
	{instwindow.Close();//closing the first window 
	window1.Open();//opening the second window
	assert(window1.GetStatus()== WindowOpen);//asserting if the second window is okay
	window1.RenderRectangle(Position(3.0,3.0), Position(4.0,4.0),
			   Blue, true);
	}
	
return 0;
}

int Apiend()
{
	window1.Close();//closing the window
return 0;
}
