//Program written by Abhilash Gupta,110050058
//Program of drawing and displating the "Instructions"window
//it has a option of going back to the main window
#include"ezwin.h"
#include<assert.h>
#include"rect.h"
#include"bitmap.h"

//Creating the required simple windows
SimpleWindow instwindow("Instructions",20.0,20.0,Position(0.0,0.0));
SimpleWindow window1("MENU",10.0,15.0,Position(0.0,0.0));

//prototype of the mouse clicking event
int mouseclick(const Position &p);

// Define a bitmap object
BitMap W1bmp(instwindow);

int ApiMain()
{
	instwindow.Open();//opening the first window
	assert(instwindow.GetStatus()== WindowOpen);//checking if the first window is opening correctly
	RectangleShape r(instwindow,Position(10.0,10.0),Cyan,20.0,20.0);
    r.Draw(); 
    //loading the instruction xpm file
    W1bmp.Load ("instructions.xpm");
	assert(W1bmp.GetStatus() == BitMapOkay);
	
	// Display the bit maps at a starting position
	W1bmp.SetPosition(Position(0.0, 0.0));
	W1bmp.Draw();
								
    											
	//RectangleShape re(instwindow,Position(7.0,13.5),Black,6.0,1.0);
    //re.Draw();             
	//Position Upperleft= Position(7.0,13.0);
	//Position Lowerleft= Position(8.0,14.0);
	//instwindow.RenderText(Upperleft,Lowerleft,"Go Back To Menu",White,Black);


instwindow.SetMouseClickCallback(mouseclick);//calling the mouse clicking event
return 0;
}

int mouseclick(const Position &p){
	float x = p.GetXDistance();//getting the x coordinate of the point where the mouse has been clicked
	float y = p.GetYDistance();//getting the y coordinate of the point where the mouse has been clicked


	
	if(((x>=7.0)&&(x<=13.0))&&((y>=13.0)&&(y<=14.0)))//checking if the mouseclick has been inside the defined box
	{instwindow.Close();//closing the first window 
	window1.Open();//opening the second window
	assert(window1.GetStatus()== WindowOpen);//asserting if the second window is okay
	window1.RenderRectangle(Position(3.0,3.0), Position(4.0,4.0),
			   Blue, true);
	}
	
return 0;
}

int Apiend()
{
	window1.Close();//closing the window
return 0;
}
