//program checking whether the mouse is clicked in a particular defined region or not
#include"ezwin.h"
#include"bitmap.h"
#include<assert.h>
SimpleWindow window("Kaun Banega Crorepati",15.0,15.0,Position(0.0,0.0));
BitMap Rectangle(window);
BitMap Circle(window);
int MouseClickEvent(const Position &P);

int ApiMain()
{
	window.Open();
	assert(window.GetStatus()== WindowOpen);
	Position center=window.GetCenter();
	Position x = Position(3.0,10.0);
	Position y = Position(12.0,3.0);
	
 	Rectangle.Load("rectangle.xpm");
	assert(Rectangle.GetStatus() == BitMapOkay);
	Rectangle.SetPosition(x);
	Rectangle.Draw();

	Position z = x + Position(3.0 +Rectangle.GetWidth(),10.0 + Rectangle.GetHeight());
	Circle.Load("circle.xpm");
	assert(Circle.GetStatus() == BitMapOkay);
	Circle.SetPosition(y);
	Circle.Draw();
	window.SetMouseClickCallback(MouseClickEvent);
	return 0;
}

int MouseClickEvent(const Position &P){
	if(Circle.IsInside(P))
	{
	Position x = Position(3.0,10.0);
	Position z = x + Position(3.0 + Rectangle.GetWidth(),10.0 + Rectangle.GetHeight());
		window.RenderText(x,z,"Kaun Banega Crorepati",White);
	}
return 0;
}

int ApiEnd(){
	window.Close();
return 0;
}
