//Written by Alok Yadav and Abhilash Gupta
//Editing by Ameya Behere (indentation and commenting)

//This function checks the mouse click position of the player and takes him/her to
//appropriate window
int click(const Position &p)
{
	float x = p.GetXDistance();
	float y = p.GetYDistance();
	
	if(x>2.2&&x<8.2)		//x position same for all buttons on main menu
 	{
		
		if(y>ar1[0]-0.5&&y<ar1[0]+0.5)		//Start game button
 		{
 			
 			RectangleShape bar(w1,Position(5,13),Black,10,0.5);
 			bar.Draw();
 			
 			//Display loading bar, purely for asthetic effect
 			for(float x=0;x<10.0;x++)
 			{
 				RectangleShape fill(w1,Position(x,13),White,1.0,0.4);
 				fill.Draw();
 				usleep(100000);
 				w1.RenderText(Position(5,13),"Loading...",Red,White);
 			}
 			w1.Close();		//Closing the main menu window
 			
 			//Initialising variables to the start of game
 			playerscore = 0;
 			num = 0;
 			flag_5050 = 0;
 			int quit_flag = 1;
 			
 			//Calling play function defined in play.h
 			play();
 		}
 		
 		if(y>ar1[1]-0.5&&y<ar1[1]+0.5)		//Instructions button
 		{	
 			w1.Close();			//Closing the main menu window
 			instructions();		//Calling Instructions function defined in instruction_screen.h
 		}
 		
 		if(y>ar1[2]-0.5&&y<ar1[2]+0.5)		//High Score button
 		{	w1.Close();			//Closing the main menu window
 			high_score_win();	//Calling the function defined in highscore
 		}
 		
 		if(y>ar1[3]-0.5&&y<ar1[3]+0.5)
 		{	
 			w1.Close();			//Closing the main menu window
 			credit_screen();	//Calling the credits defined in credits.h
 		}
 		
 		if(y>ar1[4]-0.5&&y<ar1[4]+0.5)
 		{
 			w1.Close();			//Closing the main menu window
 			if(quit_flag==1)	
 			{ 				
 				w.Close();		//Closing the playing window
 			} 		
 		}
 	}
}

