//Written & Edited by Ameya Behere

using namespace std;

class player	
{
	private:
		char name[30];
		long int score;
	public:
		void set_name(char *);
		void set_score(long int);
		void get_name(char *);
		void get_score(long int *);
};

void player::set_name(char str[])
{
	strcpy(name,str);
}
void player::get_name(char str[])
{
	strcpy(str,name);
}
void player::set_score(long int s)
{
	score = s;
	//cout<<"\nScore set as : "<<s;		//Debug statement
}
void player::get_score(long int *s)
{
	*s = score;
	//cout<<"\nScore got as : "<<*s;	//Debug statement
}

//This function initialises the high score file to make all 5 Players as
//"default" and scores as 0
void initialise()
{
	player p_default;
	char name[30];
	strcpy(name,"Default");
	long int score = 0;
	int size = sizeof(class player);
	p_default.set_name(name);
	p_default.set_score(score);
	FILE *f;
	f = fopen("high_score.bin", "wb");
	if(f == NULL)
	{
		cout<<"\nCould not open file for initialisation";
	}
	for(int i=0; i<5; i++)
	{
		fwrite(&p_default, size, 1, f);
	}
	fclose(f);
}

//Similar to initialse() but puts team member names and random scores
//Not used in final program
void initialise2()
{
	player p_default;
	
	int i;
	int size = sizeof(class player);
	/*
	for(i=0;i<5;i++)
	{
		cout<<"\nEnter name : ";
		gets(name[i]);
		cout<<"\n";
	}
	*/
	strcpy(name[0],"Alok");
	strcpy(name[1],"Ameya");
	strcpy(name[2],"Abhilash");
	strcpy(name[3],"Nishanth");
	strcpy(name[4],"Madhusudhan");
	srand(time(0));
	for(i=0;i<5;i++)
	{
		score[i] = rand() % 100000;
	}
	FILE *f;
	f = fopen("high_score.bin", "wb");
	if(f == NULL)
	{
		cout<<"\nCould not open file for initialisation";
	}
	for(int i=0; i<5; i++)
	{
		p_default.set_name(name[i]);
		p_default.set_score(score[i]);
		fwrite(&p_default, size, 1, f);
	}
	fclose(f);
}

void hi_score(char p_name[], long int p_score)
{
	player p[6],temp;
	char name[6][30];
	long int score[6], temp_score;
	int size = sizeof(class player);			
	int i, j, pos;
	//initialise();		//This function is to be called only at the first run
	FILE *fp_input, *fp_output;
	fp_input = fopen("high_score.bin", "rb");
	p[5].set_name(p_name);
	p[5].set_score(p_score);
	strcpy(name[5], p_name);
	score[5] = p_score;
	if(fp_input == NULL)
	{
		cout<<"\nCould not open file for reading";
	}
	
	for(i=0;i<5;i++)
	{
		//cout<<"\n\ni = "<<i;
		fread(&p[i], size, 1, fp_input);
		p[i].get_name(name[i]);
		p[i].get_score(&score[i]);
		//cout<<"\n Name : "<<name[i];
		//cout<<"\n Score : "<<score[i];
	}
	fclose(fp_input);	
	
	//At this point file has been read and 5 players fed into p[0] to p[4]
	//p[5] is the current player;
		//p[5].set_name(player_name);
		//p[5].set_score(player_score);
	//At this point the array p has been fully fed the data;
	//now it is to be sorted
	
	//cout<<"\n\nSorting now...\n";
	
	long int s1, s2; 	//Scores that will be compared for sorting
	for(i=0;i<6;i++)
	{
		for(j=0;j<5;j++)
		{
			if(score[j]<=score[j+1])
			{
				temp_score = score[j];
				score[j] = score[j+1];
				score[j+1] = temp_score;
				temp = p[j];
				p[j] = p[j+1];
				p[j+1] = temp;
			}
		}	
	}	
	
	//cout<<"\nWriting sorted objects now...\n";
	
	fp_output = fopen("high_score.bin", "wb");
	
	if(fp_output == NULL)
	{
		cout<<"\nCould not open file for writing";
	}
	
	for(i=0;i<5;i++)
	{
		//cout<<"\n\ni = "<<i;
		fwrite(&p[i], size, 1, fp_input);
	}	
	fclose(fp_output);
	//cout<<"\nReading modified values now...\n";
	
	fp_input = fopen("high_score.bin", "rb");
	
	if(fp_input == NULL)
	{
		cout<<"\nCould not open file for reading";
	}
	
	for(i=0;i<5;i++)
	{
		//cout<<"\n\ni = "<<i;
		fread(&p[i], size, 1, fp_input);
		p[i].get_name(name[i]);
		p[i].get_score(&score[i]);
		//cout<<"\n Name : "<<name[i];
		//cout<<"\n Score : "<<score[i];
	}
	fclose(fp_input);	
	cout<<"\n\n";
	
}
