//Written by Alok Yadav
//Editing by Ameya Behere (indentation and commenting)

//Prototype for the lifeline fifty fifty function
void fifty_fifty();

#include"fifty_fifty.h"

void play() 
{	
	//Loading a question on to the screen
	kbc(ques,o1,o2,o3,o4,o5);	
	
	//Opening Playing window
	w.Open();
	
	//Design of Playing window
	RectangleShape r(w,Position(13.30,.2),Cyan,26.60,.4);
	r.Draw();  
	RectangleShape re(w,Position(13.30,14.8),Cyan,26.60,.4);
	re.Draw();             
	
	//Background
	RectangleShape ra(w,Position(13.30,7.5),Black,26.60,14.2);
	ra.Draw();
	
	//Ellipse shaped buttons at the top (50 50) and (Quit)
	EllipseShape e1(w,Position(23.5,1.0),Black,2.0,.75);
	e1.Draw();
	EllipseShape e2(w,Position(21.3,1.0),Black,2.0,.74);
	e2.Draw();
	EllipseShape e1i(w,Position(23.7,1.2),Green,2.0,.75);
	e1i.Draw();
	w.RenderText(Position(23.7,1.2),"EXIT",Red,Green);
	EllipseShape e2i(w,Position(21.5,1.2),Green,2.0,.74);
	e2i.Draw();
	w.RenderText(Position(21.5,1.2),"50:50",Black,Green);
	
	//Question block
	RectangleShape r1i(w,Position(9.8,10.55),White,19.0,1.0);
	r1i.Draw();                  
	RectangleShape r1(w,Position(10.0,10.75),Blue,19.0,1.0);
	r1.Draw();
	//Printing the question on the screen
	w.RenderText(Position(10.0,10.75),Position(10.0,10.75),ques,White,Blue);
	
	//Options block        
	RectangleShape r2i(w,Position(3.3,11.8),White,5.0,.6);
	r2i.Draw(); 
	RectangleShape r3i(w,Position(3.3,13.05),White,5.0,.6);
	r3i.Draw();
	RectangleShape r4i(w,Position(8.8,11.8),White,5.0,.6);
	r4i.Draw();                    
	RectangleShape r5i(w,Position(8.8,13.05),White,5.0,.6);
	r5i.Draw();  
	RectangleShape r2(w,Position(3.5,12.0),Blue,5.0,.6);
	r2.Draw();
	
	//Printing all the options on the screen
	w.RenderText(Position(3.5,12.0),Position(3.5,12.0),o1,White,Blue);		//
	RectangleShape r3(w,Position(3.5,13.25),Blue,5.0,.6);
	r3.Draw();
	w.RenderText(Position(3.5,13.25),Position(3.5,13.25),o2,White,Blue);	// 
	RectangleShape r4(w,Position(9.0,12.0),Blue,5.0,.6);
	r4.Draw();
	w.RenderText(Position(9.0,12.0),o3,White,Blue);							//
	RectangleShape r5(w,Position(9.0,13.25),Blue,5.0,.6);
	r5.Draw();     
	w.RenderText(Position(9.0,13.25),o4,White,Blue); 						//    		       		 
	
	//Score Tree
	float b=2.25;
	float xr=13.25;
	float yr=13.45;
	for(int i=0;i<12;i++)
	{
		mnytree[i]=yr;
		RectangleShape r6(w,Position(22.4,xr),Red,b,.62);
		r6.Draw();                  
		RectangleShape r7(w,Position(22.6,yr),White,b,.62);
		r7.Draw();                 
		w.RenderText(Position(13,7.5),"Alok",Black,Black);
		b=b+0.4;
		xr=xr-1.0;
		yr=yr-1.0;
	} 
	w.RenderText(Position(22.6,mnytree[0]),"1000",Black,White);
	w.RenderText(Position(22.6,mnytree[1]),"2000",Black,White);
	w.RenderText(Position(22.6,mnytree[2]),"5000",Black,White);
	w.RenderText(Position(22.6,mnytree[3]),"10000",Black,White);
	w.RenderText(Position(22.6,mnytree[4]),"20000",Black,White);
	w.RenderText(Position(22.6,mnytree[5]),"50000",Black,White);
	w.RenderText(Position(22.6,mnytree[6]),"100000",Black,White);
	w.RenderText(Position(22.6,mnytree[7]),"250000",Black,White);
	w.RenderText(Position(22.6,mnytree[8]),"500000",Black,White);
	w.RenderText(Position(22.6,mnytree[9]),"2000000",Black,White);
	w.RenderText(Position(22.6,mnytree[10]),"5000000",Black,White);
	w.RenderText(Position(22.6,mnytree[11]),"10000000",Black,White);
	
	//Calling click2 function that takes user responce on the playing screen.
	//Defined in click2.h
	w.SetMouseClickCallback(click2);
}
