//Written by Alok Yadav
//Editing by Ameya Behere (indentation and commenting)

//Standard Header Files
#include"ezwin.h"
#include<iostream>
#include<cstdio>

using namespace std;

//EZWindows header files
#include"bitmap.h"
#include"rect.h"
#include"ellipse.h"
#include"label.h"

//Global variables
int flag[60];
float mnytree[12]={0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0}; 
char playername[30];
long int playerscore = 0;
char playerscore_strng[9];
char ques[200],o1[30],o2[30],o3[30],o4[30],o5[30];
float ar1[5],ar2[5];
int num=0;
int flag_5050=0;
char name[5][30];
long int score[5];
int quit_flag=0;

//Windows definition
SimpleWindow w1("MENU",10.0,15.0,Position(10.0,5.0));
SimpleWindow hiscorewin("HIGH SCORE",10.0,15.0,Position(10.0,5.0));
SimpleWindow ex("EXIT MENU",8.0,10.0,Position(12.0,5.0));
SimpleWindow w("Playing Window",26.60,15.0,Position(1.0,2.0));
SimpleWindow creditwindow("CREDITS",10.0,18.0,Position(10.0,5.0));
SimpleWindow instwindow("INSTRUCTIONS",15.0,18.0,Position(3.0,0.0));

//Function Prototypes
void play();
int click(const Position &);
int click2(const Position &);
int click3(const Position &);
int click4(const Position &);
int click5(const Position &);
int click6(const Position &);
int select_ques(int q_used[]);
void set_score(int, long int *, char *);
void hi_score(char p_name[], long int p_score);
void credit_screen();
void high_score_win();
void instructions();
void exitfunc();
void kbc(char ques[200],char o1[30],char o2[30],char o3[30],char o4[30],char o5[30]);

//User Defined header files
#include"kbc.h"
#include"play.h"
#include"click.h"
#include"click2.h"
#include"setscore.h"
#include"hi_score.h"
#include"exit.h"
#include"credits.h"
#include"highscore_screen.h"
#include"instruction_screen.h"

//Main function
int ApiMain() 
{ 
	//Initialising the flags that check whether a question has been used, to zero
	for(int i = 0; i<60; i++)
	{
		flag[i] = 0;
	}

	//Ask user for thier name in the terminal
	cout<<"\n\nENTER"<<" "<<"YOUR"<<" "<<"NAME:"<<endl;
	gets(playername); 	
	char welcome[100];
	
	//A Welcome pop up window
	sprintf(welcome,"Welcome To the Game %s",playername);
	AlertWindow("Welcome",welcome);
	w1.Open();
	
	//Design of main menu
	//above 2 statement are for border 
	RectangleShape r(w1,Position(5.0,.2),Black,10.0,.4);
	r.Draw();   
	RectangleShape re(w1,Position(5.0,14.8),Black,10.0,.4);
	re.Draw();             
	//background
	RectangleShape ra(w1,Position(5.0,7.5),Cyan,10.0,14.2);
	ra.Draw();
	float x=4.0;
	float y=4.2;
	for(int i=0;i<5;i++)
	{
		ar1[i]=y;
		RectangleShape r8(w1,Position(5.00,x),Black,6,1.0);
		r8.Draw();   
		RectangleShape r9(w1,Position(5.20,y),White,6,1.0);
		r9.Draw();
		//w.RenderText(Position(5.20,y),Position(5.20,y),"alok",White,Blue);                    
		x=x+1.5;
		y=y+1.5;                 
	}  
	w1.RenderText(Position(5.20,ar1[0]),"START",Red,White);  
	w1.RenderText(Position(5.20,ar1[1]),"INSTRUCTIONS",Red,White);
	w1.RenderText(Position(5.20,ar1[2]),"HIGH SCORE",Red,White); 
	w1.RenderText(Position(5.20,ar1[3]),"CREDIT",Red,White); 
	w1.RenderText(Position(5.20,ar1[4]),"QUIT",Red,White);                    
	
	//calling the click function defined in click.h on mouse click
	w1.SetMouseClickCallback(click);

	return 0;
}              
